function array_out = pad_array(array, amount)
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here
% TODO - description

% TODO - check inputs

array_out = padarray(array, amount * [1, 1, 1], 'replicate', 'both');
end